# ****************************************************************************
# *
# * Copyright (C) 2011 LP-Research
# * All rights reserved.
# * Contact: LP-Research (klaus@lp-research.com)
# *
# * This file is part of the Open Motion Analysis Toolkit (OpenMAT).
# *
# * OpenMAT is free software: you can redistribute it and/or modify it under 
# * the terms of the GNU General Public License as published by the Free 
# * Software Foundation, either version 3 of the License, or (at your option) 
# * any later version.
# * 
# * OpenMAT is distributed in the hope that it will be useful, but WITHOUT 
# * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
# * FITNESS FOR A PARTICULAR PURPOSE. See the GNU \ General Public License 
# * for more details.
# * 
# * You should have received a copy of the GNU General Public License along 
# * with the OpenMAT library. If not, see <http://www.gnu.org/licenses/>.
# *
# ***************************************************************************

LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_C_INCLUDES := ../../../LpSensor ../../../OpenMATCommon ../../../Libraries/Pugixml/src ../../../Libraries/Boost/ ../../../Libraries/EigenAndroid/
LOCAL_MODULE := LpSensorJNI
LOCAL_SRC_FILES := LpSensorJNI.cpp ../../../LpSensor/CalibrationData.cpp ../../../LpSensor/MicroMeasure.cpp ../../../LpSensor/LpMatrix.c ../../../LpSensor/LpmsSensor.cpp ../../../Libraries/Pugixml/src/pugixml.cpp ../../../LpSensor/SensorManager.cpp ../../../LpSensor/LpmsIoInterface.cpp AndroidBluetooth.cpp 

LOCAL_STATIC_LIBRARIES := boost_thread 

LOCAL_LDLIBS += -llog -ldl

include $(BUILD_SHARED_LIBRARY) 

$(call import-module,BoostAndroid)